package ast;

import compiler.Visitor;

/**
 * <p>Title: Programming mini project 2 Java-- compiler</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2004 NIcholas Cameron</p>
 * <p>Company: </p>
 * @author Nicholas Cameron
 * @version 1.0
 */

public abstract class BinaryNode extends ExprNode
{
    //the left child of the node in the AST
    protected Node left;
    //the right child of the node in the AST
    protected Node right;

    public BinaryNode(Node left, Node right, int lineNumber, int colNumber)
    {
        super(lineNumber, colNumber);
        this.left = left;
        this.right = right;
    }

    public Object visitLeft(Visitor v)
    {
        return left.accept(v);
    }

    public Object visitRight(Visitor v)
    {
        return right.accept(v);
    }
}