package test;

/**
 * <p>Title: Programming mini project 2 Java-- compiler</p>
 * <p>Description: Tests the ScopeEntry class</p>
 * <p>Copyright: Copyright (c) 2004 Nicholas Cameron</p>
 * <p>Company: </p>
 * @author Nicholas Cameron
 * @version 1.0
 */

import junit.framework.*;
import compiler.ScopeSymbol;

public class TestScopeEntry extends TestCase
{
    public void testUnique()
    {
        ScopeSymbol[] entries = new ScopeSymbol[3];
        for (int i = 0; i < 3; ++i)
        {
            entries[i] = ScopeSymbol.getInstance(new compiler.SymbolTable(), null);
        }

        for (int i = 0; i < 3; ++i)
        {
            for (int j = 0; j < 3; ++j)
            {
                if(entries[i].equals(entries[j]))
                    assertTrue("equal scope entries should have equal keys", entries[i].getKey().equals(entries[j].getKey()));
                else
                    assertFalse("different scope entries should have different keys", entries[i].getKey().equals(entries[j].getKey()));
            }
        }

    }
}