package ast;

import compiler.Visitor;

/**
 * <p>Title: Programming mini project 2 Java-- compiler</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2004 NIcholas Cameron</p>
 * <p>Company: </p>
 * @author Nicholas Cameron
 * @version 1.0
 */

public class NumberNode extends ExprNode
{
    private int value;

    public NumberNode(Integer value, int lineNumber, int colNumber)
    {
        super(lineNumber, colNumber);
        this.value = value.intValue();
    }

    public Object accept(Visitor v)
    {
        return v.visit(this);
    }

    public String toString()
    {
        return String.valueOf(value);
    }

    public String getType()
    {
        return "int";
    }
}