package compiler;

import ast.Node;

/**
 * <p>Title: Programming mini project 2 Java-- compiler</p>
 * <p>Description: Represents a variable, parameter or field symbol</p>
 * <p>Copyright: Copyright (c) 2004 Nicholas Cameron</p>
 * <p>Company: </p>
 * @author Nicholas Cameron
 * @version 1.0
 */

public abstract class VarSymbol extends Symbol
{
    private int localVar = -1;

    /**
     * @param name the variable's id
     * @param type the name of the type of the variable
     * @param decl the node where the variable is declared
     */
    public VarSymbol(String name, String type, Node decl)
    {
        super(name, type, decl);
    }

    public int getLocalVar()
    {
        return localVar;
    }

    public void setLocalVar(int localVar)
    {
        this.localVar = localVar;
    }
}